user3089840 user3089840 - 1 month ago 33
Javascript Question

Import not working with JavaScript in PhpStorm

I'm trying to run a piece of JavaScript code written in a tutorial that looks like this:

main.js

import Vue from 'Vue';
import Alert from './components/Alert.vue';

new Vue({
el: 'body',

components: { Alert }
})


However, PhpStorm is giving the following error:


Import declarations are not supported by current JavaScript version


How I can get a newer(?) JavaScript version in PhpStorm? Is that really the problem here?

Answer

In your preferences, change the version of javascript to ECMAScript 6.

Comments